<div id="clients-section" inViewport (inViewportAction)="($event.visible == true) ? isSectionVisible = true : null">
	<div id="clients-section-content" *ngIf="isSectionVisible == true" fxLayout="column" fxLayoutAlign="start center" fxLayoutGap="10px">

		<div id="text-contents" fxLayout="column" fxLayoutAlign="start center" data-aos="fade-in">
			<div class="typ-title">MEET OUR PLUSITIVITY PARTNERS</div>
			<div id="divider" data-aos="fade-in" data-aos-delay="1000"></div>
			<div class="typ-subheading-2">Whatever we do, we do it with Plusitivity.</div>
		</div>
			
		<ngx-masonry id="clients-grid" ngClass.gt-sm="mobile" [options]="masonryOptions" [useImagesLoaded]="true">
			<div ngxMasonryItem class="masonry-item" *ngFor="let client of clients" data-aos="zoom-in">
				<img [src]="client.logoUrl" alt="Client Logo" />
			</div>
		</ngx-masonry>		
		
		<button id="full-client-list-button" class="typ-subheading-2" (click)="fullClientListShown = !fullClientListShown" data-aos="fade-in" data-aos-delay="500">
			<span *ngIf="fullClientListShown == false">FULL CLIENT LIST</span>
			<span *ngIf="fullClientListShown == true">HIDE CLIENT LIST</span>
		</button>

		<div id="full-client-list" *ngIf="fullClientListShown == true" fxLayout="row wrap">
			<div class="client-name typ-subheading-2" *ngFor="let client of clients" fxLayoutAlign="center center" fxFlex="33" fxFlex.lt-md="50" data-aos="zoom-in">{{ client.name }}</div>
		</div>
		
	</div>
</div>